# Class CIM_NamedAddressCollection
extends CIM_SystemSpecificCollection

A NamedAddressCollection groups ProtocolEndpoints/addresses and other network identifiers for the purposes of assigning a single name (i.e., an alias). It is a subclass of SystemSpecificCollection to force the definition of the 'named collection' in the context of a System (for example, either a ComputerSystem or an AdminDomain hosting a naming alias).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_NamedAddressCollection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A NamedAddressCollection groups ProtocolEndpoints/addresses and other network identifiers for the purposes of assigning a single name (i.e., an alias). It is a subclass of SystemSpecificCollection to force the definition of the 'named collection' in the context of a System (for example, either a ComputerSystem or an AdminDomain hosting a naming alias).
UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CollectionAlias | string |
Description | string | A name (alias) for the NamedAddressCollection which is unique in the context of the hosting System.
Required | boolean | true
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods